<?php 
    function validate_xxs($data)
    {
        $data = trim($data);
        $data = stripslashes($data);
        $data = htmlspecialchars($data);
        return $data;
    }
    function validate_sql($data)
    {
        global $conn;
        return mysqli_real_escape_string($conn, $data);
    }
?>